package com.heyu.api.data.service.impl.calca;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaTokenFaceDao;
import com.heyu.api.data.entity.calca.CalcaTokenFaceEntity;
import com.heyu.api.data.service.calca.CalcaTokenFaceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class CalcaTokenFaceServiceImpl extends ServiceImpl<CalcaTokenFaceDao, CalcaTokenFaceEntity> implements CalcaTokenFaceService {


    @Autowired
	private CalcaTokenFaceDao calcaTokenFaceDao;



	@Override
	public CalcaTokenFaceEntity selectCalcaTokenFaceById(Long id){
		return calcaTokenFaceDao.selectCalcaTokenFaceById(id);
	}



	@Override
	public Long insertCalcaTokenFace(CalcaTokenFaceEntity calcaTokenFace){
		return calcaTokenFaceDao.insertCalcaTokenFace(calcaTokenFace);
	}



	@Override
	public Long insertOrUpdateCalcaTokenFace(CalcaTokenFaceEntity calcaTokenFace){
		return calcaTokenFaceDao.insertOrUpdateCalcaTokenFace(calcaTokenFace);
	}



	@Override
	public int updateCalcaTokenFaceById(CalcaTokenFaceEntity calcaTokenFace){
		return calcaTokenFaceDao.updateCalcaTokenFaceById(calcaTokenFace);
	}



	@Override
	public int updateCoverCalcaTokenFaceById(CalcaTokenFaceEntity calcaTokenFace){
		return calcaTokenFaceDao.updateCoverCalcaTokenFaceById(calcaTokenFace);
	}



	@Override
	public int deleteCalcaTokenFaceById(Long id){
		return calcaTokenFaceDao.deleteCalcaTokenFaceById(id);
	}



}
